
DROP TABLE IF EXISTS `raw_abilities`;
CREATE TABLE `raw_abilities` (
  `id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `ability_id` INT(10) UNSIGNED NOT NULL DEFAULT '0',
  `icon` SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
  `icon2` SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
  `unknown` INT(10) UNSIGNED NOT NULL DEFAULT '0',
  `name` VARCHAR(250) DEFAULT '',
  `data_version` SMALLINT(5) UNSIGNED NOT NULL,
  `language_type` TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
  `log_file` VARCHAR(250) DEFAULT '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY  (`ability_id`)
) ENGINE=MYISAM;


DROP TABLE IF EXISTS `raw_locations`;
CREATE TABLE `raw_locations` (
  `id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `poi_id` TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
  `soe_zone_id` SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
  `unknown` TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
  `poi_name` VARCHAR(250) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `data_version` SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
  `log_file` VARCHAR(250) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `language_type` TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `LocationIDX` (`poi_id`,`soe_zone_id`)
) ENGINE=MYISAM;


DROP TABLE IF EXISTS `raw_traditions`;
CREATE TABLE `raw_traditions` (
  `id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `tradition_id` INT(10) UNSIGNED NOT NULL DEFAULT '0',
  `selection` TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
  `icon` SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
  `icon2` SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
  `unknown` INT(10) UNSIGNED NOT NULL DEFAULT '0',
  `name` VARCHAR(250) DEFAULT '',
  `data_version` SMALLINT(5) UNSIGNED NOT NULL,
  `language_type` TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
  `log_file` VARCHAR(250) DEFAULT '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY  (`tradition_id`)
) ENGINE=MYISAM;


DROP TABLE IF EXISTS `raw_trainings`;
CREATE TABLE `raw_trainings` (
  `id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `level` TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
  `spell_line` TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
  `icon_0` SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
  `icon2_0` SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
  `training_id_0` INT(10) UNSIGNED NOT NULL DEFAULT '0',
  `unknown_0` INT(10) UNSIGNED NOT NULL DEFAULT '0',
  `name_0` VARCHAR(250) DEFAULT NULL,
  `icon_1` SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
  `icon2_1` SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
  `training_id_1` INT(10) UNSIGNED NOT NULL DEFAULT '0',
  `unknown_1` INT(10) UNSIGNED NOT NULL DEFAULT '0',
  `name_1` VARCHAR(250) DEFAULT '',
  `icon_2` SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
  `icon2_2` SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
  `training_id_2` INT(10) UNSIGNED NOT NULL DEFAULT '0',
  `unknown_2` INT(10) UNSIGNED NOT NULL DEFAULT '0',
  `name_2` VARCHAR(250) DEFAULT '',
  `icon_3` SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
  `icon2_3` SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
  `training_id_3` INT(10) UNSIGNED NOT NULL DEFAULT '0',
  `unknown_3` INT(10) UNSIGNED NOT NULL DEFAULT '0',
  `name_3` VARCHAR(250) DEFAULT '',
  `icon_4` SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
  `icon2_4` SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
  `training_id_4` INT(10) UNSIGNED NOT NULL DEFAULT '0',
  `unknown_4` INT(10) UNSIGNED NOT NULL DEFAULT '0',
  `name_4` VARCHAR(250) DEFAULT '',
  `data_version` SMALLINT(5) UNSIGNED NOT NULL,
  `language_type` TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
  `log_file` VARCHAR(250) DEFAULT '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `TrainingIDX` (`training_id_0`, `training_id_1`, `training_id_2`, `training_id_3`, `training_id_4`)
) ENGINE=MYISAM;
